Open topic with navigation

TIBCO® Patterns 6.1.2

| ibi Patterns .NET API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NetricsServerInterface.NetricsArrayRecSrc Class Reference

A simple array based implementation of the NetricsTableRecSrc interface. More...

## Public Member Functions
| NetricsArrayRecSrc ()
| Build an empty record source.
override bool | hasNext ()
| As described for the interface.
override NetricsRecord | getNext ()
| As described for the interface.
void | addRecord (NetricsRecord rec)
| Use this method to add records to the record source.
override void | reset ()
| As described for the interface.
abstract NetricsRecord | getNext ()
| Returns the next record.
abstract bool | hasNext ()
| Returns true if the source has more records.
abstract void | reset ()
| Reset the source to the first record.
bool | hasNext ()
| Returns true if the source has more records.
NetricsBaseRecord | getNext ()
| Returns the next record.
void | reset ()
| Reset the source to the first record.

## Detailed Description

A simple array based implementation of the NetricsTableRecSrc interface.

See also
  NetricsTableRecSrc

## Constructor & Destructor Documentation

## ◆ NetricsArrayRecSrc()

NetricsServerInterface.NetricsArrayRecSrc.NetricsArrayRecSrc | ( |  | ) |
| inline

Build an empty record source.

You must use the addRecord method to put records into this record source.

## Member Function Documentation

## ◆ addRecord()

void NetricsServerInterface.NetricsArrayRecSrc.addRecord | ( | NetricsRecord | rec | ) |
| inline

Use this method to add records to the record source.

The records will be stored and returned in the order they are added.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO® Patterns

Copyright © 2010-2025. Cloud Software Group, Inc. All Rights Reserved.